import numpy as np
import pandas as pd
import pytest


@pytest.fixture(scope="session")
def data():
    idx = pd.date_range(start="2011-04-17 09:00", periods=100000, freq="H")
    rng = np.random.default_rng()
    values = rng.uniform(13.4, 61.7, len(idx))
    nan_idx = rng.choice(values.size, int(0.085*values.size), replace=False)
    values[nan_idx] = np.nan
    return pd.DataFrame({"values": values}, idx).dropna()
