import pandas as pd
import pytest

from toarstats.trends.ols import ols


@pytest.mark.slow
def test_ols_sample_data():
    data = pd.DataFrame(
        {
            "datetime": [-2, 0, 1, 2, 4, 5, 6, 7, 10, 11],
            "value": [
                0.2, 2.1, -1.1, 0.01, 4.03, 2.37, -2.11, 1.96, -0.98, -1.32
            ]
        }
    )
    trend = ols(data, 1000)
    assert list(trend.keys()) == ["trend", "uncertainty", "p_value"]


def test_ols_sample_data_few_samples():
    data = pd.DataFrame(
        {
            "datetime": [-2, 0, 1, 2, 4, 5, 6, 7, 10, 11],
            "value": [
                0.2, 2.1, -1.1, 0.01, 4.03, 2.37, -2.11, 1.96, -0.98, -1.32
            ]
        }
    )
    trend = ols(data, 50)
    assert list(trend.keys()) == ["trend", "uncertainty", "p_value"]
